Bug 146881 - CAN-2004-0175 malicious ssh server can cause scp to write to arbitrary files
Summary: CAN-2004-0175 malicious ssh server can cause scp to write to arbitrary files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssh
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20000901
: 158915 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-02 14:46 UTC by Tomas Mraz
Modified: 2007-11-30 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-02 14:31:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:481 normal SHIPPED_LIVE Low: openssh security update 2005-06-02 04:00:00 UTC

Description Tomas Mraz 2005-02-02 14:46:28 UTC
*** This bug has been split off bug 120147 for RHEL2.1***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.04.06
08:28 -------

Back in 2000 it was reported that a malicious ssh server could cause
scp to write to arbitrary files outside of the current directory. 
See:    
http://cert.uni-stuttgart.de/archive/bugtraq/2000/09/msg00499.html

This is a valid behaviour of the rcp protocol.

The issue was rediscovered in Mar 2004 and discussed amongst OSS
vendors, with Markus Friedl from OpenBSD writing a proposed patch for
this issue but warned that it needed a lot of testing:
        
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/scp.c.diff?r1=1.113&r2=1.114

Comment 1 Tomas Mraz 2005-05-27 06:35:15 UTC
*** Bug 158915 has been marked as a duplicate of this bug. ***

Comment 2 Josh Bressers 2005-06-02 14:31:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-481.html



Note You need to log in before you can comment on or make changes to this bug.